XMLGrammarDescription Class Referenceabstract
Inheritance diagram for XMLGrammarDescription:

## Public Member Functions

MemoryManager * | getMemoryManager () const
Virtual destructor for derived classes
virtual | ~XMLGrammarDescription ()
| virtual destructor More...
The Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const =0
| getGrammarType More...
virtual const XMLCh * | getGrammarKey () const =0
| getGrammarKey More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Protected Member Functions

| XMLGrammarDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors. More...
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## ~XMLGrammarDescription()

virtual XMLGrammarDescription::~XMLGrammarDescription | ( |  | ) |

virtual

virtual destructor

## XMLGrammarDescription()

XMLGrammarDescription::XMLGrammarDescription | ( | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager` | ) |

protected

Hidden Constructors.

## Member Function Documentation

## getGrammarKey()

virtual const XMLCh* XMLGrammarDescription::getGrammarKey | ( |  | ) | const

pure virtual

getGrammarKey

## getGrammarType()

virtual Grammar::GrammarType XMLGrammarDescription::getGrammarType | ( |  | ) | const

pure virtual

getGrammarType

Implemented in XMLSchemaDescription, and XMLDTDDescription.

## getMemoryManager()

MemoryManager * XMLGrammarDescription::getMemoryManager | ( |  | ) | const

References XERCES_CPP_NAMESPACE_END.

The documentation for this class was generated from the following file:

- XMLGrammarDescription.hpp